Index: Singular/LIB/monomial.lib
===================================================================
--- Singular/LIB/monomial.lib	(revision 7f8587b3752e6d6a92df017bafdfb3d03198e66b)
+++ Singular/LIB/monomial.lib	(revision abbd22e3508e31d6abd926f194f4cb62f9365784)
@@ -3935,71 +3770,71 @@
   // que comprobar si el ideal es monomial.
   if (control == 0)
-    {
-      list isMon = isMonomialGB (I);
-      if (isMon[1] == 0)
-        {
-          ERROR ("the ideal is not monomial.");
-        }
-      else
-        {
-          I = isMon[2];
-          // Ya lo tenemos con los generadores minimales
-        }
-    }
+  {
+    list isMon = isMonomialGB (I);
+    if (isMon[1] == 0)
+    {
+      ERROR ("the ideal is not monomial.");
+    }
+    else
+    {
+      I = isMon[2];
+      // Ya lo tenemos con los generadores minimales
+    }
+  }
   else
-    {
-      // Generadores monomiales, hallamos sistema minimal
-      I = minbase(I);
-    }
+  {
+    // Generadores monomiales, hallamos sistema minimal
+    I = minbase(I);
+  }
   // Estudiamos si el ideal es o no primario
   if (isprimaryMon(I) == 1)
-    {
-      return (I);
-    }
+  {
+    return (I);
+  }
   // Si no me han dado opcion, elijo una yo.
   if (size(#) == 1)
-    {
-      return(primDec3(I));
-    }
+  {
+    return(primDec3(I));
+  }
   // Leo la opcion y llamo al procedimiento oportuno
   else
-    {
-      if (#[2] == "vi")
-        {
-          return (primDec1(I));
-        }
-      if (#[2] == "vp")
-        {
-          return (primDec2(I));
-        }
-      if (#[2] == "add")
-        {
-          return (primDec3(I));
-        }
-      if (#[2] == "ad")
-        {
-          return (primDec4(I));
-        }
-      if (#[2] == "for")
-        {
-          return (primDec5(I));
-        }
-      if (#[2] == "mil")
-        {
-          return (scarfMethodPrim(I));
-        }
-      if (#[2] == "lr")
-        {
-          return (labelAlgPrim(I));
-        }
-      if (#[2] == "gz")
-        {
-          return (incrementalAlgPrim(I));
-        }
-      if (#[2] == "sr")
-        {
-          return (primDecMonSlice(I));
-        }
-    }
+  {
+    if (#[2] == "vi")
+    {
+      return (primDec1(I));
+    }
+    if (#[2] == "vp")
+    {
+      return (primDec2(I));
+    }
+    if (#[2] == "add")
+    {
+      return (primDec3(I));
+    }
+    if (#[2] == "ad")
+    {
+      return (primDec4(I));
+    }
+    if (#[2] == "for")
+    {
+      return (primDec5(I));
+    }
+    if (#[2] == "mil")
+    {
+      return (scarfMethodPrim(I));
+    }
+    if (#[2] == "lr")
+    {
+      return (labelAlgPrim(I));
+    }
+    if (#[2] == "gz")
+    {
+      return (incrementalAlgPrim(I));
+    }
+    if (#[2] == "sr")
+    {
+      return (primDecMonSlice(I));
+    }
+  }
 }
 example
